<ng-container *transloco="let t; read: 'moderate_organizations'">
  <div class="table-container">
    <mat-card appearance="outlined">
      <span class="table-header">{{t('approved_organizations')}}</span>
      <table
        class="table-width"
        mat-table
        matSort
        [dataSource]="dataSource">
        <!-- organization name -->
        <ng-container matColumnDef="organization_name">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('organization_name_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            {{row.organization_name}}
          </td>
        </ng-container>
        <!-- organization categories -->
        <ng-container matColumnDef="categories">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('categories_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <span
              class="inline-comma"
              *ngFor="let category of row.categories; last as l">
              {{'organization_categories.'+category|transloco}}
              <span *ngIf="!l">, </span>
            </span>
          </td>
        </ng-container>
        <!-- organization status -->
        <ng-container matColumnDef="status">
          <th
            *matHeaderCellDef
            mat-header-cell
            mat-sort-header>
            {{t('status_th')}}
          </th>
          <td
            *matCellDef="let row"
            mat-cell>
            <div class="row-container">
              <div class="status-indicator" [ngClass]="row.account_state|lowercase"></div>
              <div>{{'organization_account_state.'+row.account_state|transloco}}</div>
            </div>
          </td>
        </ng-container>
        <!-- action buttons -->
        <ng-container matColumnDef="actions">
          <th
            *matHeaderCellDef
            mat-header-cell
            class="table-column-header-align-end">
            {{t('actions_th')}}
          </th>
          <td *matCellDef="let row" mat-cell>
            <button
              [matMenuTriggerFor]="menu"
              mat-icon-button
              aria-label="Action dropdown menu">
              <mat-icon>more_vert</mat-icon>
            </button>
            <mat-menu #menu="matMenu">
              <button
                *ngIf="row.account_state === ORGANIZATION_STATES.INACTIVE"
                mat-menu-item
                (click)="activateOrganizationClicked.emit({ id: row.organization_id })">
                <mat-icon>health_and_safety</mat-icon>
                <span>{{t('activate')}}</span>
              </button>
              <button
                *ngIf="row.account_state === ORGANIZATION_STATES.ACTIVE"
                mat-menu-item
                (click)="deactivateOrganizationClicked.emit({ id: row.organization_id })">
                <mat-icon>remove_moderator</mat-icon>
                <span>{{t('deactivate')}}</span>
              </button>
              <button
                mat-menu-item
                (click)="editOrganizationCategoriesClicked.emit({ id: row.organization_id })">
                <mat-icon>privacy_tip</mat-icon>
                <span>{{t('edit_categories')}}</span>
              </button>
            </mat-menu>
          </td>
        </ng-container>
        <tbody>
          <tr
            *matHeaderRowDef="displayColumns"
            mat-header-row>
          </tr>
          <tr
            *matRowDef="let row; columns: displayColumns;"
            mat-row>
          </tr>
          <!-- Row shown when there is no matching data. -->
          <tr
            class="mat-row no-data-table-row"
            *matNoDataRow>
            <td
              class="mat-cell"
              colspan="4">
              {{'general.no_data'|transloco}}
            </td>
          </tr>
        </tbody>
      </table>
    </mat-card>
  </div>
</ng-container>
